#include <bits/stdc++.h>

using namespace std;

bool f(pair<int,double> p1,pair<int,double> p2){
	return p1.second <= p2.second;  
}

int main(){
	int n;
	double s=0;
	cin >> n;
	vector<pair<int,double>> v(n);
	for(int i=0;i<n;i++){
		cin >> v[i].first >> v[i].second;
		v[i].second /= 100;
		s += v[i].first;
	}
	sort(v.begin(),v.end(),f);
	double max = s*v[0].second,tr;
	for(int i=1;i<n;i++){
		s -= v[i-1].first;
		tr = s*v[i].second;
		if(tr>max) max=tr;
	}
	cout << fixed << setprecision(2)<<max;
}